import com.imsl.chart.*;
import java.awt.Color;
import com.imsl.stat.Random;

public class SampleMixedErrorBar extends JFrameChart {

    public SampleMixedErrorBar() {
        Random r = new Random(123457);
        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        
        // Generate a random data set, with random errors in x
        int n = 20;
        double x[] = new double[n];
        double y[] = new double[n];
        double xlow[] = new double[n];
        double xhigh[] = new double[n];
        double ylow[] = new double[n];
        double yhigh[] = new double[n];
        for (int k = 0;  k < n;  k++) {
            x[k] = k;
            y[k] = r.nextDouble();
            xlow[k] = x[k] - r.nextDouble();
            xhigh[k] = x[k] + r.nextDouble();
            ylow[k] = y[k] - 0.25*r.nextDouble();
            yhigh[k] = y[k] + 0.25*r.nextDouble();
        }
        
        ErrorBar dataY = new ErrorBar(axis, x, y, ylow, yhigh);
        dataY.setDataType(
                ErrorBar.DATA_TYPE_ERROR_Y | ChartNode.DATA_TYPE_MARKER);
        dataY.setMarkerType(Data.MARKER_TYPE_FILLED_CIRCLE);
        dataY.setMarkerColor(Color.red);
        
        ErrorBar dataX = new ErrorBar(axis, x, y, xlow, xhigh);
        dataX.setDataType(ErrorBar.DATA_TYPE_ERROR_X);
        dataX.setMarkerColor(Color.red);
    }
    
    public static void main(String argv[]) {
        new SampleMixedErrorBar().setVisible(true);
    }
}